Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## datechooser.model.multiple
Class PeriodSet

    java.lang.Object
      datechooser.model.multiple.DateOutputStyle
          datechooser.model.multiple.PeriodSet

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable

    public class PeriodSet

extends DateOutputStyle
implements java.io.Serializable, java.lang.Cloneable

Periods set.
Множество периодов.

Since:
  1.0
Author:
  Androsov Vadim
See Also:
  `Period`, Serialized Form

Constructor Summary
`PeriodSet()` Constructs empty periods set.
`PeriodSet(Period... periods)` Constructs set, using variable argument list.
`PeriodSet(PeriodSet src)` Copying constructor.

Method Summary
`void` | `add(java.util.Calendar date)` Adds date to set.
`void` | `add(java.lang.Iterable<Period> newData)` Adds periods collection to set.
`void` | `add(Period newPeriod)` Adds period to set.
`void` | `add(PeriodSet periods)` Adds periods set.
`void` | `clear()` Clears set.
`java.lang.Object` | `clone()` Not deep clone.
`boolean` | `contains(java.util.Calendar date)` Does set contain given date.
`int` | `getCount()` Periods count in set.
`java.lang.Iterable<java.util.Calendar>` | `getDates()` Get all dates from periods set.
`java.util.Calendar` | `getFirstDate()` Minimal date from set.
`Period` | `getFirstPeriod()` First period from set (before others).
`Period` | `getLastAddedPeriod()` Last added period.
`java.lang.Iterable<Period>` | `getPeriods()` Get periods from set.
`boolean` | `intersects(Period period)` Does given period intersect any period from set.
`boolean` | `intersects(PeriodSet periods)` Does given periods set intersect any period from current set.
`boolean` | `isEmpty()` Is set empty.
`boolean` | `isSingleDate()` Does periods set contains only one date.
`boolean` | `near(Period period)` Is given period near to any period from set.
`void` | `set(java.lang.Iterable<Period> newData)` Initializes set by periods collection.
`void` | `set(PeriodSet periods)` Initialize set from another.
`java.lang.String` | `toString()` Cast to String.
`java.lang.String` | `toString(java.text.DateFormat format)` Cast to String.
`java.lang.String` | `toString(int fmtStyle, java.util.Locale locale)` Cast to String.

Methods inherited from class datechooser.model.multiple.DateOutputStyle
`getDateFormat, getFormat, getLocale, setFormat, setLocale`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PeriodSet

    public PeriodSet()

  Constructs empty periods set.
  Конструктор, создающий пустой период.

  Since:
    1.0

### PeriodSet

    public PeriodSet(PeriodSet src)

  Copying constructor.
  Копирующий конструктор.

  Since:
    1.0

### PeriodSet

    public PeriodSet(Period... periods)

  Constructs set, using variable argument list. Used for automatic code generation.
  Конструктор, создающий множество на основе нескольких переданных параметров. Используется для автоматической генарации кода.

  Since:
    1.0

Method Detail

### add

    public void add(Period newPeriod)

  Adds period to set. If intersecting periods presented - unite them.
  Добавляет период в множество. Если уже есть периоды, с которыми он пересекается или граничит - объединяет.

  Since:
    1.0

### add

    public void add(PeriodSet periods)

  Adds periods set.
  Добавляет множество периодов.

  Since:
    1.0

### set

    public void set(PeriodSet periods)

  Initialize set from another.
  Инициализирует множество другим.

  Since:
    1.0

### add

    public void add(java.util.Calendar date)

  Adds date to set.
  Добавляет дату в множество.

  Since:
    1.0

### add

    public void add(java.lang.Iterable<Period> newData)

  Adds periods collection to set.
  Добавляет ряд периодов в множество.

  Since:
    1.0

### set

    public void set(java.lang.Iterable<Period> newData)

  Initializes set by periods collection.
  Инициализирует множество переданной коллекцией периодов.

  Since:
    1.0

### getDates

    public java.lang.Iterable<java.util.Calendar> getDates()

  Get all dates from periods set. Creates date object for each day in periods set.
  Возвращает все даты из множества периодов. Внимание! Их может получиться очень много. Работа только с периодами позволит существенно сократить затраты памяти.

  Since:
    1.0
  See Also:
    `getPeriods()`

### getPeriods

    public java.lang.Iterable<Period> getPeriods()

  Get periods from set.
  Возвращает периоды из множества.

  Since:
    1.0

### intersects

    public boolean intersects(Period period)

  Does given period intersect any period from set.
  Проверяет, пересекает ли заданный период какой-нибудь из множества.

  Since:
    1.0

### intersects

    public boolean intersects(PeriodSet periods)

  Does given periods set intersect any period from current set.
  Проверяет, пересекает ли переданное множество периодов текущее.

  Since:
    1.0

### near

    public boolean near(Period period)

  Is given period near to any period from set.
  Проверяет лежит ли заданный период рядом с одним из входящих в множество.

  Since:
    1.0

### contains

    public boolean contains(java.util.Calendar date)

  Does set contain given date.
  Содержит ли множество заданную дату.

  Since:
    1.0

### clear

    public void clear()

  Clears set.
  Очищает множество.

  Since:
    1.0

### isEmpty

    public boolean isEmpty()

  Is set empty.
  Пусто ли множество.

  Since:
    1.0

### getLastAddedPeriod

    public Period getLastAddedPeriod()

  Last added period.
  Возвращает последний добавленный в мноежство период.

  Since:
    1.0

### getFirstDate

    public java.util.Calendar getFirstDate()

  Minimal date from set.
  Возвращает первую (самую раннюю) дату множества.

  Since:
    1.0

### getFirstPeriod

    public Period getFirstPeriod()

  First period from set (before others).
  Возвращает первый (самый ранний) период множества.

  Since:
    1.0

### toString

    public java.lang.String toString()

  Cast to String.
  Преобразование в строку.

  Overrides:
    `toString` in class `java.lang.Object`
  Since:
    1.0

### toString

    public java.lang.String toString(int fmtStyle,
                                     java.util.Locale locale)

  Cast to String.
  Преобразование в строку.

  Parameters:
    `fmtStyle` - Date format style.
    Стиль отображения дат.
    `locale` - Locale.
    Локализация.
  Since:
    1.0

### toString

    public java.lang.String toString(java.text.DateFormat format)

  Cast to String.
  Преобразование в строку.

  Parameters:
    `format` - Date format.
    Фомат дат.
  Since:
    1.0

### getCount

    public int getCount()

  Periods count in set.
  Возвращает количество периодов во множестве.

  Since:
    1.0

### clone

    public java.lang.Object clone()

  Not deep clone.
  Клонирование. Довольно поверхностное. Объекты периодов не клонируются.

  Overrides:
    `clone` in class `java.lang.Object`
  Since:
    1.0

### isSingleDate

    public boolean isSingleDate()

  Does periods set contains only one date.
  Проверяет, состоит ли множество периодов из одной даты.

  Since:
    1.0

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD